Update a user

View as Markdown

Updates a user in Postman.

Reactivating a user

By setting the active property from false to true, this reactivates an account. This allows the account to authenticate in to Postman and adds the account back on to your Postman team.

Authentication

Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.

Path parameters

userIdstringRequired
The user's SCIM ID.

Request

This endpoint expects an object.
schemaslist of stringsOptional
userNamestringOptionalformat: "email"
The user's email address.
nameobjectOptional
Information about the user's name.
activebooleanOptional

Sets the user’s active state:

  • true — Activates the user. This lets them authenticate in to your Postman team.
  • false — Removes the user from your Postman team and deactivates the account. This blocks the user from authenticating in to Postman.

Response

Successful Response
schemaslist of stringsOptional
idstringOptional
The team member's SCIM ID.
userNamestringOptional
The team member's SCIM username.
nameobjectOptional
Information about the Postman team member.
externalIdstringOptional
The team member's external ID.
activebooleanOptional
If true, the team member is active.
metaobjectOptional

The response’s non-standard meta information.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error